curl --request PATCH \
--url https://api.sandbox.tesouro.com/finops/v1/projects/{project_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"code": "<string>",
"color": "<string>",
"description": "<string>",
"end_date": "2023-12-25",
"name": "Marketing",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partner_metadata": {},
"start_date": "2023-12-25",
"tag_ids": []
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/projects/{project_id}"
payload = {
"code": "<string>",
"color": "<string>",
"description": "<string>",
"end_date": "2023-12-25",
"name": "Marketing",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partner_metadata": {},
"start_date": "2023-12-25",
"tag_ids": []
}
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
code: '<string>',
color: '<string>',
description: '<string>',
end_date: '2023-12-25',
name: 'Marketing',
parent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
partner_metadata: {},
start_date: '2023-12-25',
tag_ids: []
})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Marketing",
"code": "<string>",
"color": "<string>",
"created_by_entity_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"end_date": "2023-12-25",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partner_metadata": {},
"start_date": "2023-12-25",
"tags": [
{
"id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
"created_at": "2022-09-07T16:35:18.484507+00:00",
"updated_at": "2022-09-07T16:35:18.484507+00:00",
"name": "Marketing",
"category": "department",
"created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
"description": "Tag for the Marketing Department"
}
]
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Update a project
Update a project.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Path Parameters
Body
Project code
1 - 20^[a-zA-Z0-9]+$Project color
128Description of project
1024Project end date
The project name.
1 - 255"Marketing"
Parent project ID
Project metadata
Project start date
A list of IDs of user-defined tags (labels) assigned to this project.
Response
Successful Response
A unique ID assigned to this project.
Project created at
Last time project was updated at
The ID of the entity to which the project was issued.
The project name.
1 - 255"Marketing"
Project code
1 - 20^[a-zA-Z0-9]+$Project color
128Project created by entity user
Description of project
1024Project end date
Parent project ID
Project metadata
Project start date
A list of user-defined tags (labels) assigned to this project.
Show child attributes
Show child attributes
Was this page helpful?